<template>
  <div id="objectives" class="background-white py-16">
    <h1 class="text-center text-4xl text-black py-8">Objetivos</h1>
    <div class="container mx-auto flex items-center justify-center md:justify-between w-full">
      <div class="text-center px-2 w-full">
        <div class="flex flex-wrap items-stretch">

          <div class="w-full md:w-1/3 p-8">
            <div class="text-center p-8 resize card w-full">
              <img src="/6.png" class="w-full" alt="Objetivo 6 da agenda 2030" />
              <div class="text-black">
                <h2 class="text-xl py-4">Água Potável e Saneamento</h2>
                <p>Assegurar a disponibilidade e a gestão sustentável da água e saneamento para todos</p>
              </div>
            </div>
          </div>

          <div class="w-full md:w-1/3 p-8">
            <div class="text-center p-8 resize card w-full">
              <img src="/11.png" class="w-full" alt="Objetivo 11 da agenda 2030" />
              <div class="text-black">
                <h2 class="text-xl py-4">Cidades e Comunidades Sustentáveis</h2>
                <p>Tornar as cidades e os assentamentos humanos inclusivos, seguros, resilientes e sustentáveis</p>
              </div>
            </div>
          </div>

          <div class="w-full md:w-1/3 p-8">
            <div class="text-center p-8 resize card w-full">
              <img src="/12.png" class="w-full" alt="Objetivo 12 da agenda 2030" />
              <div class="text-black">
                <h2 class="text-xl py-4">Consumo e Produção Responsáveis</h2>
                <p>Assegurar padrões de produção e de consumo sustentáveis</p>
              </div>
            </div>
          </div>

        </div>
      </div>
    </div>
  </div>
</template>

<style scoped>
.card {
  height: 100%;
  background-color: #ffffff;
}

.resize {
  box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.25);
  transition: transform 500ms cubic-bezier(0.215, 0.61, 0.355, 1);
}

.resize:hover {
  transform: scale(1.025);
}

@media (min-width: 576px) {
  .resize:hover {
    transform: scale(1.05);
  }
}
</style>
